[SciPy-user] Scipy Linear Algebra functions

Greg Novak novak at ucolick.org
Wed Mar 23 22:44:12 CST 2005


I get the following traceback when using Scipy 0.3.2 on Mac OSX 10.3.
The Fink package I'm using is numbered: 1:0.3.2-2.  Any suggestions
are appreciated.

Thanks!
Greg

In [25]: linalg.inv([[1,0],[0,1]])
---------------------------------------------------------------------------
PPImportError                             Traceback (most recent call
last)

/Users/novak/Projects/Thesis/<console> 

/sw/lib/python2.3/site-packages/scipy_base/ppimport.py in
__getattr__(self, name)
    301             module = self.__dict__['_ppimport_module']
    302         except KeyError:
--> 303             module = self._ppimport_importer()
    304         return getattr(module, name)
    305 

/sw/lib/python2.3/site-packages/scipy_base/ppimport.py in
_ppimport_importer(self)
    260             exc_info = self.__dict__.get('_ppimport_exc_info')
    261             if exc_info is not None:
--> 262                 raise PPImportError,\
    263
    ''.join(traceback.format_exception(*exc_info))
    264             else:

PPImportError: Traceback (most recent call last):
  File "/sw/lib/python2.3/site-packages/scipy_base/ppimport.py", line
  273, in _ppimport_importer
    module = __import__(name,None,None,['*'])
  File "/sw/lib/python2.3/site-packages/scipy/linalg/__init__.py",
  line 8, in ?
    from basic import *
  File "/sw/lib/python2.3/site-packages/scipy/linalg/basic.py", line
  13, in ?
    from flinalg import get_flinalg_funcs
  File "/sw/lib/python2.3/site-packages/scipy/linalg/flinalg.py", line
  7, in ?
    from scipy_distutils.misc_util import PostponedException
ImportError: No module named scipy_distutils.misc_util



More information about the SciPy-user mailing list